## freecad 0.18.4+dfsg1

=== debian/changelog ===
freecad (0.18.4+dfsg1-2) unstable; urgency=medium

  [ Kurt Kremitzki ]
  * [1e38838] Revert dwz override after upstream fix

  [ Gianfranco Costamagna ]
  * Team upload
  * [84844f5] Add patch to make it work with old Python3.7

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 30 Dec 2019 11:04:13 +0100

freecad (0.18.4+dfsg1-1) unstable; urgency=medium

  * [3928e77] New upstream version 0.18.4+dfsg1
  * [55b8edd] Update version display patch for 0.18.4

 -- Kurt Kremitzki <kurt@kwk.systems>  Sun, 03 Nov 2019 13:26:10 -0600

freecad (0.18.3+dfsg1-4) unstable; urgency=medium

  * [e768789] Add dh_dwz override for i386, mipsel, and s390x due to upstream
    regression

 -- Kurt Kremitzki <kurt@kwk.systems>  Wed, 30 Oct 2019 22:43:14 -0500

freecad (0.18.3+dfsg1-3) unstable; urgency=medium

  * [c78f8e9] Revert enabling Netgen/Pybind11 builds

 -- Kurt Kremitzki <kurt@kwk.systems>  Tue, 17 Sep 2019 11:00:11 -0500

freecad (0.18.3+dfsg1-2) unstable; urgency=medium

  * [898fd80] Migrate to Python 3 only, Netgen-enabled build (Closes:
    #936552)
  * [2c077ab] Bump compat level to 12
  * [276a12e] Bump Standards-Version to 4.4.0 (no changes needed)

 -- Kurt Kremitzki <kurt@kwk.systems>  Sun, 08 Sep 2019 17:35:08 -0500

freecad (0.18.3+dfsg1-1) unstable; urgency=medium

  * [5f5b5c2] New upstream version 0.18.3+dfsg1
  * [6c43d54] Update set_about_freecad.patch for new version

 -- Kurt Kremitzki <kurt@kwk.systems>  Thu, 18 Jul 2019 20:12:46 -0500
