## freecad 0.18.4+dfsg2

=== requirements.txt ===
matplotlib==2.2.3; python_version < '3.0'
matplotlib==3.0.2; python_version >= '3.0'
PySide==1.2.4
# PySide2==5.12.0
Shiboken==1.2.2
six==1.12.0
