=== src/3rdParty/CMakeLists.txt ===

if(BUILD_CAM)
    add_subdirectory(ANN)
endif(BUILD_CAM)


# Build SalomeMesh for all Platforms since heavily patched
if (BUILD_SMESH AND NOT FREECAD_USE_EXTERNAL_SMESH)
    add_subdirectory(salomesmesh)
endif()
