=== debian/changelog ===
freecad (0.18.4+dfsg2-1ubuntu4) focal; urgency=medium

  * No-change rebuild for icu soname change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 05 Mar 2020 09:30:36 +0100

freecad (0.18.4+dfsg2-1ubuntu3) focal; urgency=medium

  * No-change rebuild for icu soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 03 Mar 2020 21:20:54 +0100

freecad (0.18.4+dfsg2-1ubuntu2) focal; urgency=medium

  * No-change rebuild against libboost-regex1.71.0-icu65

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 13 Feb 2020 19:00:49 +0000

freecad (0.18.4+dfsg2-1ubuntu1) focal; urgency=low

  * Merge from Debian unstable.  Remaining changes:
   - Cherry-pick upstream fixes from 0.18.4 branch
   - Fix sadness due to wrong rcc being used (previous pyside patch)
   - tweak some test results to not fail
   - Add more files to the whitelist for Python syntax checks.
   - Drop unused boost-signals build-depends.
   - Fix build with 3.8, patch taken from Fedora.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 12 Feb 2020 12:42:41 +0100

freecad (0.18.4+dfsg2-1) unstable; urgency=medium

  * [e8be3d7] New upstream version 0.18.4+dfsg2
  * [5fefd1a] Don't hardcode Python 3 version (Closes: #950137)

 -- Kurt Kremitzki <kurt@kwk.systems>  Tue, 11 Feb 2020 06:26:08 -0600

freecad (0.18.4+dfsg1-2ubuntu8) focal; urgency=medium

  * Cherry-pick upstream fixes from 0.18.4 branch
  * Fix sadness due to wrong rcc being used (previous pyside patch)
  * tweak some test results to not fail

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 11 Feb 2020 13:50:02 +0100

freecad (0.18.4+dfsg1-2ubuntu7) focal; urgency=medium

  * Add more files to the whitelist for Python syntax checks.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 11 Feb 2020 09:51:31 +0100

freecad (0.18.4+dfsg1-2ubuntu6) focal; urgency=medium

  * Drop depends on python3-pyside2uic, dropped by pyside2.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 11 Feb 2020 00:15:28 +0000

freecad (0.18.4+dfsg1-2ubuntu5) focal; urgency=medium

  * Drop unused boost-signals build-depends.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 10 Feb 2020 18:35:54 +0000

freecad (0.18.4+dfsg1-2ubuntu4) focal; urgency=medium

  * No change rebuild against new boost1.71 ABI

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 03 Feb 2020 20:24:37 +0000

freecad (0.18.4+dfsg1-2ubuntu3) focal; urgency=medium

  * Patch to use uic and rcc from qt and not anymore from pyside (not shipping
    them anymore)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 29 Jan 2020 16:34:45 +0100

freecad (0.18.4+dfsg1-2ubuntu2) focal; urgency=medium

  * Set PYTHON_CONFIG_SUFFIX for Python 3.8.
  * Fix build with 3.8, patch taken from Fedora.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 29 Jan 2020 11:31:12 +0100

freecad (0.18.4+dfsg1-2build1) focal; urgency=medium

  * No-change rebuild to build with python3.8.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 25 Jan 2020 06:19:21 +0000
