=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: freecad
-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Sebastian Kuzminsky <seb@highlab.com>,
            Kurt Kremitzki <kurt@kwk.systems>
 Section: science
@@ -17,7 +18,6 @@
                libboost-python-dev,
                libboost-regex-dev,
                libboost-serialization-dev,
-               libboost-signals-dev,
                libboost-thread-dev,
                libcoin-dev,
                libdouble-conversion-dev,
@@ -61,6 +61,7 @@
                python3-ply,
                qtbase5-dev,
                qttools5-dev,
+               pyqt5-dev-tools,
                swig,
 Build-Depends-Indep: doxygen
 Standards-Version: 4.4.0
@@ -102,7 +103,6 @@
          python3-pyside2.qtsvg,
          python3-pyside2.qtwidgets,
          python3-pyside2.qtxml,
-         python3-pyside2uic,
          libfreecad-python3-0.18 (<< ${binary:Version}+1~),
          libfreecad-python3-0.18 (>= ${binary:Version}),
          ${misc:Depends},
