=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,11 @@
 DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all,+bindnow
+
+py3ver = $(shell py3versions -d | cut -d'n' -f2 | tr -d .)
+ifeq (1,$(shell expr ${py3ver} \< 38 ))
+    py3ver := $(py3ver)m
+endif
 
 extra_flags += \
 -DBUILD_FEM_NETGEN=ON \
@@ -19,7 +24,7 @@
 -DCMAKE_INSTALL_DATADIR="/usr/share/freecad" \
 -DCMAKE_INSTALL_DOCDIR="/usr/share/doc/freecad-doc" \
 -DCMAKE_INSTALL_PREFIX="/usr/share/freecad" \
--DPYTHON_CONFIG_SUFFIX=".cpython-37m-$(DEB_HOST_MULTIARCH)"
+-DPYTHON_CONFIG_SUFFIX=".cpython-$(py3ver)-$(DEB_HOST_MULTIARCH)"
 
 py3_flags = \
 -DPYTHON_EXECUTABLE="/usr/bin/python3" \
