=== debian/tests/control ===
Tests: freecadtest
Depends: freecad
Restrictions: allow-stderr
